List Orders
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thanks.io/api/v2/orders/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.thanks.io/api/v2/orders/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thanks.io/api/v2/orders/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 42708,
"message": "Hey %FIRST_NAME%!,\n\nTHANK YOU for allowing us the opportunity to HELP you with your plan!",
"size": "4x6",
"sub_account_id": null,
"type": "postcard",
"display_type": "Postcard-4x6",
"style": 1,
"front_image": "https://cdn.thanks.io/letter-backgrounds/bg0.png",
"high_quality_preview": "",
"authorization_total": 73,
"grand_total": 73,
"order_total": 73,
"total_estimated_recipients": 1,
"total_recipients": 1,
"recipient_count": 1,
"status": "Fulfilled",
"method": "Campaign",
"cancellable": false,
"total_scans": 0,
"metadata": {
"crm_deal_id": "D-1042"
},
"created_at": "2025-09-08T16:05:12.000000Z",
"updated_at": "2025-09-08T16:06:08.000000Z"
}
],
"links": {
"first": "https://api.thanks.io/api/v2/orders/list?page=1",
"last": "https://api.thanks.io/api/v2/orders/list?page=4992",
"prev": null,
"next": "https://api.thanks.io/api/v2/orders/list?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 4992,
"path": "https://api.thanks.io/api/v2/orders/list",
"per_page": "1",
"to": 1,
"total": 4992
}
}{
"message": "Unauthorized"
}Account
List Orders
Return list of recent orders.
GET
/
orders
/
list
List Orders
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thanks.io/api/v2/orders/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.thanks.io/api/v2/orders/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thanks.io/api/v2/orders/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": 42708,
"message": "Hey %FIRST_NAME%!,\n\nTHANK YOU for allowing us the opportunity to HELP you with your plan!",
"size": "4x6",
"sub_account_id": null,
"type": "postcard",
"display_type": "Postcard-4x6",
"style": 1,
"front_image": "https://cdn.thanks.io/letter-backgrounds/bg0.png",
"high_quality_preview": "",
"authorization_total": 73,
"grand_total": 73,
"order_total": 73,
"total_estimated_recipients": 1,
"total_recipients": 1,
"recipient_count": 1,
"status": "Fulfilled",
"method": "Campaign",
"cancellable": false,
"total_scans": 0,
"metadata": {
"crm_deal_id": "D-1042"
},
"created_at": "2025-09-08T16:05:12.000000Z",
"updated_at": "2025-09-08T16:06:08.000000Z"
}
],
"links": {
"first": "https://api.thanks.io/api/v2/orders/list?page=1",
"last": "https://api.thanks.io/api/v2/orders/list?page=4992",
"prev": null,
"next": "https://api.thanks.io/api/v2/orders/list?page=2"
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 4992,
"path": "https://api.thanks.io/api/v2/orders/list",
"per_page": "1",
"to": 1,
"total": 4992
}
}{
"message": "Unauthorized"
}Authorizations
Bearer token authentication using your thanks.io API key
Query Parameters
Number of items to return per page.
Filter results by Sub Account ID.
Only return orders of this mailer type. postcard returns 4x6 postcards only; postcard6x9 returns all 6x9 postcards, including 6x9 orders placed before 6x9 had its own type. 4x6-postcard and 6x9-postcard are accepted as aliases for postcard and postcard6x9.
Available options:
postcard, postcard6x9, postcard6x11, letter, windowlessletter, notecard, giftcard, magnacard, 4x6-postcard, 6x9-postcard Only return orders sent as this creative from your Creatives library. Use an id from List Creatives.
Only return orders sent by a campaign. Pass the ID of the campaign's mailing list: every order sent by that list's campaign actions is returned, including actions that have since been deleted.
Was this page helpful?